=== testing/base/CMakeLists.txt ===
# Base concept 

add_morse_test(base_testing)
add_morse_test(levels)

# Sensor

add_morse_test(armature_pose_testing)
add_morse_test(battery_testing)
add_morse_test(gps_testing)
add_morse_test(gyroscope_testing)
add_morse_test(odometry_testing)
add_morse_test(pose_testing)
add_morse_test(proximity_testing)
add_morse_test(sick_testing)
add_morse_test(semantic_camera_testing)
add_morse_test(thermometer_testing)
add_morse_test(search_and_rescue_testing)
add_morse_test(video_camera_pgm_testing)

# Actuator

add_morse_test(armature_testing)
add_morse_test(destination_testing)
add_morse_test(gripper_testing)
add_morse_test(light_testing)
add_morse_test(orientation_testing)
add_morse_test(rotorcraft_waypoint_testing)
add_morse_test(steer_force_testing)
add_morse_test(stabilized_quadrirotor_testing)
add_morse_test(teleport_testing)
add_morse_test(vw_testing)
add_morse_test(waypoint_testing)
add_morse_test(xyw_testing)

# Sensor + Actuator 

add_morse_test(ptu_testing)

# Modifier

add_morse_test(ned_testing)
add_morse_test(utm_mod_testing)

# Services

add_morse_test(communication_service_testing)
