=== debian/changelog ===
morse-simulator (1.0.1-1~exp1) experimental; urgency=low

  * New upstream release
  * Patches applied upstream:
    -

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Apr 2013 16:31:04 +0200

morse-simulator (1.0.0-1~exp5) experimental; urgency=low

  * Fix the build under Ubuntu by forcing usage of Python 3.3
    See LP: #1146637

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 19 Mar 2013 13:21:04 +0100

morse-simulator (1.0.0-1~exp4) experimental; urgency=low

  * Enable the build of the documentation. See upstream bug #302

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Mar 2013 10:46:58 +0100

morse-simulator (1.0.0-1~exp3) experimental; urgency=low

  * Fix a bad dependency (python:depends instead of python3:depends).

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Mar 2013 08:57:07 +0100

morse-simulator (1.0.0-1~exp2) experimental; urgency=low

   [ Dmitrijs Ledkov ]
   * Build against python3-dev instead of python3.2-dev.
   * Call dh_python3.
   * Use python3:Depends, instead of python:Depends.
   * Use pkg-config to find python includes.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Mar 2013 18:02:01 +0100

morse-simulator (1.0.0-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Mar 2013 18:55:48 +0100

morse-simulator (1.0-beta1-1~exp1) experimental; urgency=low

  * New testing upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Feb 2013 10:38:22 +0100

morse-simulator (0.6-1~exp1) experimental; urgency=low

  * New upstream release
  * Update of the watch file
  * Tests disabled
  * Remove __pycache__ directories

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Nov 2012 13:55:01 +0100
