=== debian/watch ===
version=3
ftp://ftp.openrobots.org/pub/openrobots/morse/ morse-(.*).tar.bz2
