## morse-simulator 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 set(PACKAGE_NAME morse)
-set(PACKAGE_VERSION "1.0.1")
+set(PACKAGE_VERSION "1.1")
 
 # only available from cmake-2.8.4
 if(COMMAND cmake_policy)
@@ -113,6 +113,7 @@
    )
 INSTALL(PROGRAMS
        ${CMAKE_CURRENT_BINARY_DIR}/bin/morserun.py
+       ${CMAKE_CURRENT_BINARY_DIR}/bin/morse_inspector
        ${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server.py
        DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
        )
@@ -132,6 +133,7 @@
 INSTALL(PROGRAMS
 		${CMAKE_CURRENT_BINARY_DIR}/bin/morse
 		${CMAKE_CURRENT_BINARY_DIR}/bin/morseexec
+		${CMAKE_CURRENT_SOURCE_DIR}/bin/morse_inspector
 		${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server
 		DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
 	    )
@@ -141,7 +143,7 @@
 ADD_SUBDIRECTORY(bindings)
 
 ###### Testing ######
-enable_testing()
+include( CTest )
 ADD_SUBDIRECTORY(testing)
 
 IF (BUILD_DOC_SUPPORT)
@@ -161,7 +163,8 @@
 	SET (SPHINX_LATEX_OUTPUT ${CMAKE_DOC_OUT}/tex)
 	SET (SPHINX_MAN_OUTPUT ${CMAKE_DOC_OUT}/man)
 	SET (SPHINX_FALSE_PYTHON_ENV ${CMAKE_CURRENT_BINARY_DIR}/fakeenv)
-	SET (PYTHON_DOC_ENV env PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}:${CMAKE_CURRENT_BINARY_DIR}/src:${SPHINX_FALSE_PYTHON_ENV}:${CMAKE_CURRENT_SOURCE_DIR}/src:${CMAKE_CURRENT_SOURCE_DIR}/testing:${CMAKE_CURRENT_SOURCE_DIR}/bindings/pymorse/src/:$$PYTHONPATH PYTHONDONTWRITEBYTECODE="morse" LANG="C.UTF-8" LC_ALL="C.UTF-8")
+
+	SET (PYTHON_DOC_ENV env PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}:${CMAKE_CURRENT_BINARY_DIR}/src:${SPHINX_FALSE_PYTHON_ENV}:${CMAKE_CURRENT_SOURCE_DIR}/src:${CMAKE_CURRENT_SOURCE_DIR}/testing:${CMAKE_CURRENT_SOURCE_DIR}/bindings/pymorse/src/:$$PYTHONPATH PYTHONDONTWRITEBYTECODE="morse" ${PYTHON_EXECUTABLE})
 	SET (SPHINX_BUILD_ENV ${PYTHON_DOC_ENV} ${SPHINX_BUILD})
 
 	# Copy the documentation in builddir, so we can include the generated part too
@@ -174,7 +177,7 @@
 	# Generate the documentation from the different components
 	ADD_CUSTOM_TARGET(
 		generate_doc ALL
-		COMMAND ${PYTHON_DOC_ENV} ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/doc/tools/generate_doc
+		COMMAND ${PYTHON_DOC_ENV} ${CMAKE_CURRENT_SOURCE_DIR}/doc/tools/generate_doc
 		WORKING_DIRECTORY ${SPHINX_SRC}/morse/user/
 	)
 
@@ -251,6 +254,13 @@
         								   ${SPHINX_MAN_OUTPUT} &&
 						  ${GZIP} -f ${SPHINX_MAN_OUTPUT}/*.1)
 		INSTALL(FILES ${SPHINX_MAN_OUTPUT}/morse.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-run.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-create.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-import.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-edit.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-check.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-add.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-rm.1.gz 
 					  ${SPHINX_MAN_OUTPUT}/morseexec.1.gz 
 					  ${SPHINX_MAN_OUTPUT}/multinode_server.1.gz
 			DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1
@@ -275,35 +285,6 @@
 ENDIF()
 ENDIF()
 
-### CPack ###
-EXECUTE_PROCESS(COMMAND
-				which dpkg
-					OUTPUT_VARIABLE SYSTEST_DPKG)
-EXECUTE_PROCESS(COMMAND
-				which rpm
-					OUTPUT_VARIABLE SYSTEST_RPM)
-IF (SYSTEST_DPKG)
-	SET(CPACK_GENERATOR "DEB")
-ELSEIF (SYSTEST_RPM)
-	SET(CPACK_GENERATOR "RPM")
-ELSE ()
-	SET(CPACK_GENERATOR "TGZ")
-ENDIF()
-# TODO find a better way to check debian or redhat ?
-
-SET(CPACK_PACKAGE_CONTACT "morse-users <morse-users@laas.fr>")
-SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
-SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MORSE the Open Robots Simulator")
-SET(CPACK_PACKAGE_NAME "openrobots-morse")
-SET(CPACK_PACKAGE_VENDOR "CNRS/LAAS")
-SET(CPACK_PACKAGE_VERSION ${PACKAGE_VERSION})
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
-SET(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
-
-SET(CPACK_DEBIAN_PACKAGE_DEPENDS "python3.2-dev")
-SET(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://morse.openrobots.org")
-
-INCLUDE(CPack)
 
 ### Uninstall ###
 configure_file("${CMAKE_HOME_DIRECTORY}/config/cmake_uninstall.cmake.in" "cmake_uninstall.cmake" IMMEDIATE @ONLY)
