=== debian/changelog ===
morse-simulator (1.1-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * Also ship pymorse

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 Sep 2013 08:43:02 +0200

morse-simulator (1.1~beta1-1) experimental; urgency=low

  * Upload of a dev release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Sep 2013 14:55:34 +0200

morse-simulator (1.0.1-3) unstable; urgency=low

  * ACK NMU. Thanks Scott.
  * Provides the correct breaks / replaces (Closes: #714603)
  * Ignore python-script-but-no-python-dep on morse-simulator-doc

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Aug 2013 13:59:37 +0200

morse-simulator (1.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix python3 related dependency issues (Closes: #712014):
    - Fix configure to use /usr/bin/python3 instead of python3.3 explicitly
      and override upstream definition of CPACK_DEBIAN_PACKAGE_DEPENDS so that
      packages end up with correct depends
    - Add X-Python3-Version: >= 3.2 to debian control to set the minimum
      supported python3 version
    - Add python3-morse-simulator to morse-simulator depends

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Jun 2013 16:14:43 -0400

morse-simulator (1.0.1-2) unstable; urgency=low

  * Only delete the Javascript when the doc package is built
    (Closes: #708285)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 May 2013 10:55:59 +0200

morse-simulator (1.0.1-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4
  * Remove embedded-javascript-library (jquery & underscore)
  * Dependency on morse-simulator-data from python3-morse-simulator removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 May 2013 10:05:21 +0200
