=== testing/base/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 # Base concept 
 
 add_morse_test(base_testing)
+add_morse_test(renaming_testing)
+add_morse_test(builder_wheeled_robot)
+add_morse_test(friction_testing)
 add_morse_test(levels)
 
 # Sensor
@@ -16,7 +19,9 @@
 add_morse_test(semantic_camera_testing)
 add_morse_test(thermometer_testing)
 add_morse_test(search_and_rescue_testing)
-add_morse_test(video_camera_pgm_testing)
+add_morse_test(velocity_testing)
+add_morse_test(video_camera_testing)
+add_morse_test(collision_testing)
 
 # Actuator
 
@@ -40,7 +45,9 @@
 # Modifier
 
 add_morse_test(ned_testing)
-add_morse_test(utm_mod_testing)
+add_morse_test(utm_testing)
+add_morse_test(pose_noise_testing)
+add_morse_test(imu_noise_testing)
 
 # Services
