=== testing/robots/human/CMakeLists.txt ===
add_morse_test(human_pose)
add_morse_test(multiple_human)
