=== debian/changelog ===
morse-simulator (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Nov 2013 15:29:47 +0100
