=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Séverin Lemaignan <severin@guakamole.org>
 Build-Depends: debhelper (>= 8.0.0), cmake, python3.3-dev, python3-dev,
  python3-sphinx, pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://morse.openrobots.org/
+X-Python3-Version: >= 3.2
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/morse/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/morse/trunk/
 
 
 Package: morse-simulator
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, blender (>= 2.59),
- ${python3:Depends}, morse-simulator-data
+Depends: ${shlibs:Depends}, ${misc:Depends}, blender (>= 2.63a-3),
+ ${python3:Depends},, python3-morse-simulator (= ${binary:Version}),
+ morse-simulator-data
 Recommends: morse-simulator-doc
 Conflicts: morse
 Description: Multi-OpenRobot Simulation Engine
@@ -67,7 +69,7 @@
 Package: morse-simulator-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
 Description: Multi-OpenRobot Simulation Engine - Documentation
  List of morse features:
   * Versatile simulator for generic mobile robots simulation
@@ -95,8 +97,10 @@
 Package: python3-morse-simulator
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- ${python3:Depends}, morse-simulator-data
+ ${python3:Depends}
 Conflicts: morse
+Replaces: morse-simulator (<< 1.0.1-2)
+Breaks: morse-simulator (<< 1.0.1-2)
 Description: Multi-OpenRobot Simulation Engine
  List of morse features:
   * Versatile simulator for generic mobile robots simulation
