=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(morse)
