=== testing/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,9 @@
 	add_subdirectory(base)
 	add_subdirectory(failures)
 	add_subdirectory(robots/human)
+	add_subdirectory(robots/rmax)
 	add_subdirectory(robots/segway)
+	add_subdirectory(robots/submarine)
 	add_subdirectory(robots/pr2)
 	add_subdirectory(robots/pionner3dx)
 endif()
