=== testing/base/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 add_morse_test(armature_pose_testing)
 add_morse_test(battery_testing)
+add_morse_test(depth_camera_testing)
 add_morse_test(gps_testing)
 add_morse_test(gyroscope_testing)
 add_morse_test(odometry_testing)
