=== testing/robots/pionner3dx/CMakeLists.txt ===
add_morse_test(pionner3dx_testing)
