=== debian/changelog ===
morse-simulator (1.2-1ubuntu1) trusty; urgency=medium

  * Remove build-dependency on python3.3-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 13:14:34 +0100

morse-simulator (1.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 01 Feb 2014 17:19:59 -0800
