=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Séverin Lemaignan <severin@guakamole.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, python3.3-dev, python3-dev,
+Build-Depends: debhelper (>= 8.0.0), cmake, python3-dev,
  python3-sphinx, pkg-config
 Standards-Version: 3.9.4
 Homepage: http://morse.openrobots.org/
