=== debian/changelog ===
morse-simulator (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 Jul 2014 15:08:47 +0200

morse-simulator (1.2-3) unstable; urgency=medium

  * ACK NMU. Thanks Scott
  * Relax the maximal version of blender (Closes: #751901)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Jul 2014 09:34:35 +0200

morse-simulator (1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unneeded build-dep on python3.3-dev to support python3.3 removal
    (Closes: #751650)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Jun 2014 22:09:44 -0400

morse-simulator (1.2-2) unstable; urgency=medium

  * Add python-concurrent.futures to the build dep to make the build
    work under kfreebsd

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Feb 2014 17:39:26 +0100
