=== debian/changelog ===
morse-simulator (1.2.2-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Apr 2015 18:56:58 +0200

morse-simulator (1.2.2-1~exp1) experimental; urgency=medium

  * New upstream release
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Dec 2014 13:31:42 +0100

morse-simulator (1.2.1-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Allow running with Blender 2.72. (Closes: #771132)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 21 Dec 2014 19:10:50 +0100
