## morse-simulator 1.3

=== debian/changelog ===
morse-simulator (1.3-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 Aug 2015 18:57:49 +0200

morse-simulator (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload, with maintainer's permission.
  * Update morse-theme for Sphinx 1.3 (closes: #792711).
    - Bump python3-sphinx build-dependency.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Aug 2015 10:42:15 +0300
